Web lists-archives.com

Re: MBF proposal: python modules that fail to import




On Sun, Apr 15, 2018 at 09:45:45PM +0200, Helmut Grohne wrote:
> On Sun, Apr 15, 2018 at 09:38:27PM +0200, Christoph Biedl wrote:
> > > Christoph Biedl <debian.axhn@xxxxxxxxxxxxxxxxxx>
> > >    file
> > 
> > The src:file package doesn't ship python{,3}-magic any longer, the
> > change was two months ago. Mind to check how file got on this list?
> 
> I used "apt-cache showsrc python-magic" to get the source package and
> Testsuite header. It seems that this is not the best approximation as it
> includes non-recent versions. The list thus needs to be treated as an
> overapproximation. I don't have a good idea how to fix that part atm.

You can write a script to read apt-avail, parse it as 822, drop all
entries that have an entry with same Package but higher Version.

Not exactly brain surgery, but tedious enough that it should be providen
_somewhere_.  And at least one moron has written exactly that but misplaced
the script somewhere -- one more reason to have the wheel around so no one
needs to reinvent it.


Meow!
-- 
⢀⣴⠾⠻⢶⣦⠀ 
⣾⠁⢰⠒⠀⣿⡁ 
⢿⡄⠘⠷⠚⠋⠀ ... what's the frequency of that 5V DC?
⠈⠳⣄⠀⠀⠀⠀